# Class RankSumPValueGreedyAlgorithm

java.lang.Object
org.snpeff.geneSets.algorithm.EnrichmentAlgorithm
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedy
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedyVariableSize
org.snpeff.geneSets.algorithm.RankSumPValueGreedyAlgorithm

public class RankSumPValueGreedyAlgorithm extends EnrichmentAlgorithmGreedyVariableSize

## Nested Class Summary

### Nested classes/interfaces inherited from class EnrichmentAlgorithm

`EnrichmentAlgorithm.EnrichmentAlgorithmType`

## Field Summary

### Fields inherited from class EnrichmentAlgorithmGreedy

`adjustedPvalue, DEFAULT_MAX_PVALUE, maxPvalue, maxPvalueAjusted`

### Fields inherited from class EnrichmentAlgorithm

`HTML_BG_COLOR, HTML_BG_COLOR_TITLE, HTML_TD_GENES_MAX_LEN, PRINT_SOMETHING_TIME`

## Constructor Summary

Constructors
Constructor
Description
`RankSumPValueGreedyAlgorithm(GeneSetsRanked geneSets, int numberToSelect)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`stopCriteria(Result result)`
Stop criteria

### Methods inherited from class EnrichmentAlgorithmGreedyVariableSize

`greedyPvalue, setInitialSize, setSizeGrowthFactor`

### Methods inherited from class EnrichmentAlgorithmGreedy

`greedyPvalue, select, setAdjustedPvalue, setMaxGeneSetSize, setMaxPvalue, setMaxPvalueAjusted, setMinGeneSetSize, setVerbose`

### Methods inherited from class EnrichmentAlgorithm

`getMaxPvalueAdjusted, getOutput, isShow, print, setDebug, setFilterOutputGeneSets, setHtmlTable, setMaxPValue, setMaxPvalueAdjusted`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RankSumPValueGreedyAlgorithm

public RankSumPValueGreedyAlgorithm(GeneSetsRanked geneSets, int numberToSelect)

## Method Details

### stopCriteria

protected boolean stopCriteria(Result result)
Stop criteria

Overrides:
  `stopCriteria` in class `EnrichmentAlgorithmGreedy`
Parameters:
  `result` -
Returns: